<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/ReconstructedParticleData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ReconstructedParticleData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_reconstructed_particle_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ReconstructedParticleDATA_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ReconstructedParticleDATA_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html">   15</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_reconstructed_particle_data.html">ReconstructedParticleData</a> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#ab3d0a80b218e6104ccd1e7daf3c274e5">   17</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#ab3d0a80b218e6104ccd1e7daf3c274e5">type</a>; </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#a24013f90d3fd7d9da684d1a964dd168e">   18</a></span>&#160;  <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#a24013f90d3fd7d9da684d1a964dd168e">energy</a>; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#a4af6c19dc0fca2c8b4d7bb7278c73792">   19</a></span>&#160;  std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_reconstructed_particle_data.html#a4af6c19dc0fca2c8b4d7bb7278c73792">momentum</a>; </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#a80b8f11e5001fc42c63c9ae0d5e6c1b4">   20</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#a80b8f11e5001fc42c63c9ae0d5e6c1b4">charge</a>; </div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#ae41e06f90d8ab55979466709a721d5eb">   21</a></span>&#160;  <span class="keywordtype">double</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#ae41e06f90d8ab55979466709a721d5eb">mass</a>; </div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#af0dbe73f3e17e83b620140f3232bed43">   23</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#af0dbe73f3e17e83b620140f3232bed43">clusters_begin</a>;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#aff90baa5514dd1125b857c1206c75dbb">   24</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#aff90baa5514dd1125b857c1206c75dbb">clusters_end</a>;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#a772f934fa611a42620b2bacfd90ea48d">   25</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#a772f934fa611a42620b2bacfd90ea48d">tracks_begin</a>;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#ad5ddfa31dab277e91702b418cf9b2d0e">   26</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#ad5ddfa31dab277e91702b418cf9b2d0e">tracks_end</a>;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#a4a82a38fd12b208c1e89dea057fbc4c9">   27</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#a4a82a38fd12b208c1e89dea057fbc4c9">particles_begin</a>;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classeic_1_1_reconstructed_particle_data.html#aea0fef4d8c89c6d6e48d701bf097f0f0">   28</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_reconstructed_particle_data.html#aea0fef4d8c89c6d6e48d701bf097f0f0">particles_end</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;};</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_a80b8f11e5001fc42c63c9ae0d5e6c1b4"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#a80b8f11e5001fc42c63c9ae0d5e6c1b4">eic::ReconstructedParticleData::charge</a></div><div class="ttdeci">float charge</div><div class="ttdoc">The particle&amp;#39;s charge. </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00020">ReconstructedParticleData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_aff90baa5514dd1125b857c1206c75dbb"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#aff90baa5514dd1125b857c1206c75dbb">eic::ReconstructedParticleData::clusters_end</a></div><div class="ttdeci">unsigned int clusters_end</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00024">ReconstructedParticleData.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_a4a82a38fd12b208c1e89dea057fbc4c9"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#a4a82a38fd12b208c1e89dea057fbc4c9">eic::ReconstructedParticleData::particles_begin</a></div><div class="ttdeci">unsigned int particles_begin</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00027">ReconstructedParticleData.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_af0dbe73f3e17e83b620140f3232bed43"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#af0dbe73f3e17e83b620140f3232bed43">eic::ReconstructedParticleData::clusters_begin</a></div><div class="ttdeci">unsigned int clusters_begin</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00023">ReconstructedParticleData.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_aea0fef4d8c89c6d6e48d701bf097f0f0"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#aea0fef4d8c89c6d6e48d701bf097f0f0">eic::ReconstructedParticleData::particles_end</a></div><div class="ttdeci">unsigned int particles_end</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00028">ReconstructedParticleData.h:28</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_a772f934fa611a42620b2bacfd90ea48d"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#a772f934fa611a42620b2bacfd90ea48d">eic::ReconstructedParticleData::tracks_begin</a></div><div class="ttdeci">unsigned int tracks_begin</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00025">ReconstructedParticleData.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_ab3d0a80b218e6104ccd1e7daf3c274e5"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#ab3d0a80b218e6104ccd1e7daf3c274e5">eic::ReconstructedParticleData::type</a></div><div class="ttdeci">int type</div><div class="ttdoc">Type of reconstructed particle. </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00017">ReconstructedParticleData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_ad5ddfa31dab277e91702b418cf9b2d0e"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#ad5ddfa31dab277e91702b418cf9b2d0e">eic::ReconstructedParticleData::tracks_end</a></div><div class="ttdeci">unsigned int tracks_end</div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00026">ReconstructedParticleData.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_a24013f90d3fd7d9da684d1a964dd168e"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#a24013f90d3fd7d9da684d1a964dd168e">eic::ReconstructedParticleData::energy</a></div><div class="ttdeci">double energy</div><div class="ttdoc">Energy of the reconstructed particle. </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00018">ReconstructedParticleData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html">eic::ReconstructedParticleData</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00015">ReconstructedParticleData.h:15</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_ae41e06f90d8ab55979466709a721d5eb"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#ae41e06f90d8ab55979466709a721d5eb">eic::ReconstructedParticleData::mass</a></div><div class="ttdeci">double mass</div><div class="ttdoc">The mass of the particle in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00021">ReconstructedParticleData.h:21</a></div></div>
<div class="ttc" id="classeic_1_1_reconstructed_particle_data_html_a4af6c19dc0fca2c8b4d7bb7278c73792"><div class="ttname"><a href="classeic_1_1_reconstructed_particle_data.html#a4af6c19dc0fca2c8b4d7bb7278c73792">eic::ReconstructedParticleData::momentum</a></div><div class="ttdeci">std::array&lt; double, 3 &gt; momentum</div><div class="ttdoc">The reconstructed particle&amp;#39;s 3-momentum. </div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_data_8h_source.html#l00019">ReconstructedParticleData.h:19</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
